core / OwnableState

# OwnableState

`interface OwnableState : ContractState`

### Properties

owner | `abstract val owner: PublicKey` There must be a MoveCommand signed by this key to claim the amount

### Inherited Properties

contract | `abstract val contract: Contract` Contract by which the state belongs

### Functions

withNewOwner | `abstract fun withNewOwner(newOwner: PublicKey): <ERROR CLASS><CommandData, OwnableState>` Copies the underlying data structure, replacing the owner field with this new value and leaving the rest alone

### Extension Functions

hash | `fun ContractState.hash(): SecureHash` Returns the SHA-256 hash of the serialised contents of this state (not cached)

### Inheritors

State | `data class State : OwnableState` A state representing a cash claim against some party
State | `data class State : OwnableState`